Still able to create accounts on projects with a SUL-account-name
Closed, ResolvedPublic

Description

Author: willemo

Description:
I was a bit playing with SUL functionality and tried to register my account on projects which I never registered before. I could login instantly, but I tried to create an account the old-fashioned way. I did use different passwords etc.

If I quote http://meta.wikimedia.org/w/index.php?title=Help:Unified_login/en&uselang=en

""
The greatest advantages are single sign-up (...) consistent identity (your username now always means you; no one else can take your name on another project).
""

As far I can see for now, this isn't the case. I am still able to create accounts (though I didn't try this with other usernames) I don't know whether this is done intentionally (I couldn't find any statement about this), some IP-check is performed, or this is really a bug.


Version: unspecified
Severity: major

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz14248.
bzimport created this task.Via LegacyMay 24 2008, 12:06 PM
bzimport added a comment.Via ConduitMay 24 2008, 4:51 PM

spacebirdy wrote:

Today this bug was brought to my attention by Pill.

We did some tests on http://so.wiktionary.org/wiki/Special:RecentChanges

Pills SUL was not complete (1 wiki was left open) but his SUL was activated
but
he was able to create an account with the name Pill (he used another password another (or no) mail)

We wanted to test with someone whoses SUL was completet too.

The SUL of Baisemain was complete (I checked before with CentralAuth),
she too was able to create a totally new account with the name Baisemain on so.wiktionary.org!
http://so.wiktionary.org/wiki/Special:Log/newusers

This looks quite serious to me.

Many thanks for Your help,
Elisabeth Anderl [[:wikt:is:Notandi:Spacebirdy]]

Tobias added a comment.Via ConduitMay 25 2008, 9:43 AM

Looks quite serious to me, too; therefor I changed Priority from normal to high and Severity from normal to major (feel free to revert this though, I am no expert).

bzimport added a comment.Via ConduitMay 25 2008, 3:10 PM

thogol wrote:

Please make sure that this bug gets fixed *before* enabling SUL for all. Otherwise we will get tons of complains by community members facing new fake accounts. (And, seeing the recent cross-wiki activity, fake-accounting seems to be a major issue these days...)

BR, Th.

Platonides added a comment.Via ConduitMay 25 2008, 8:18 PM

Just checked out http://af.wikipedia.org/w/index.php?title=Spesiaal%3ALog&user=Platonides
This should be blocking further SUL expansion.

bzimport added a comment.Via ConduitMay 25 2008, 8:22 PM
tstarling added a comment.Via ConduitMay 26 2008, 2:39 AM

Regression due to r34124, fixed in r35340.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.